curl --request POST \
--url https://qa-lynx.nayax.com/operational/v1/metadata/upload-picture \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ImageTypeLutId": 123,
"EntityId": "<string>",
"Image": "<string>",
"ImageCrop": "<string>",
"IsMonyx": true
}
'import requests
url = "https://qa-lynx.nayax.com/operational/v1/metadata/upload-picture"
payload = {
"ImageTypeLutId": 123,
"EntityId": "<string>",
"Image": "<string>",
"ImageCrop": "<string>",
"IsMonyx": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ImageTypeLutId: 123,
EntityId: '<string>',
Image: '<string>',
ImageCrop: '<string>',
IsMonyx: true
})
};
fetch('https://qa-lynx.nayax.com/operational/v1/metadata/upload-picture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ImageTypeLutId": 123,
"Key": "<string>",
"KeyName": "<string>",
"Urls": {}
}Upload Picture
Uploads a picture to the server with associated metadata. The picture and its details are provided in the request body.
Authorizations
Enter your Bearer token. It's required to authenticate API requests.
Body
The identifier for the type of image being uploaded.
The identifier of the entity to which the image is associated.
The base64-encoded string representing the image to be uploaded.
Optional cropping instructions for the image, if applicable.
Indicates whether the image is associated with Monyx (a specific application or service).
Response
The picture was successfully uploaded, and the response contains details about the uploaded picture.
The identifier for the type of image that was uploaded.
A unique key associated with the uploaded image.
The name of the key associated with the uploaded image.
A map of URLs where the uploaded image can be accessed.
Show child attributes
Show child attributes
Was this page helpful?